* {
  box-sizing: border-box;
}
body {
  margin: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100vh;
  font-family: "Inter", sans-serif;
  color: #293264;
  background-color: #f5f7fb;
}
.content {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 550px;
  height: 600px;
  font-size: 16px;
  border: 5px solid #4d5b9e;
  border-radius: 5px;
  overflow: hidden;
}
.title {
  font-family: "Karla", sans-serif;
  font-size: 32px;
  margin: 8px 0;
}
.descript {
  margin: 5px 0;
}
.btn {
  width: 190px;
  height: 50px;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 20px;
  background-color: #4d5b9e;
  color: #f5f7fb;
  font-family: "Inter", sans-serif;
  text-decoration: none;
  border: none;
  border-radius: 15px;
  cursor: pointer;
}
.start-page::before {
  content: "";
  background: url("assets/blob-top.png");
  position: absolute;
  top: -130px;
  left: 170px;
  width: 100%;
  height: 100%;
  background-repeat: no-repeat;
  z-index: -1;
}

.start-page::after {
  content: "";
  background: url("assets/blob-bottom.png");
  position: absolute;
  top: 400px;
  left: -100px;
  width: 100%;
  height: 100%;
  background-repeat: no-repeat;
}

.quizz-page::before {
  content: "";
  background: url("assets/blob-top.png");
  position: absolute;
  top: -170px;
  left: 200px;
  width: 100%;
  height: 100%;
  background-repeat: no-repeat;
  z-index: -1;
}

.quizz-page::after {
  content: "";
  background: url("assets/blob-bottom.png");
  position: absolute;
  top: 460px;
  left: -150px;
  width: 100%;
  height: 100%;
  background-repeat: no-repeat;
  z-index: -1;
}

.question-block {
  width: 400px;
  border-bottom: 0.8px solid #dbdef0;
}
.question {
  font-family: Karla, sans-serif;
  font-size: 14px;
  margin: 8px 0;
}
.answers {
  margin-bottom: 14px;
  display: flex;
  flex-wrap: wrap;
}
.btn-answer {
  border: 1px solid #4d5b9e;
  background-color: inherit;
  color: #293264;
  font-size: 10px;
  font-weight: 500;
  height: 18px;
  width: fit-content;
  padding: 0 10px;
  border-radius: 8px;
  margin: 0 5px 5px;
}
.btn-answer--active {
  background-color: #d6dbf5;
}
.btn-answer:hover {
  background-color: #d6dbf5;
}
.btn-answer--correct {
  background-color: #94d7a2;
  border-color: #94d7a2;
}
.btn-answer--incorrect {
  background-color: #f8bcbc;
  border-color: #f8bcbc;
  opacity: 0.5;
}
.btn-answer--other {
  color: #4d5b9e;
  border-color: #4d5b9e;
  opacity: 0.5;
}
.btn-check {
  font-weight: 500;
  width: 140px;
  height: 40px;
}
.check-wrap {
  display: flex;
  align-items: center;
  width: 400px;
  justify-content: space-around;
  align-items: baseline;
}
.result {
  font-family: Inter, sans-serif;
  font-weight: 700;
  font-size: 12px;
}

@media screen and (max-width: 570px) {
  .content {
    width: 420px;
    border: 3px solid #4d5b9e;
  }
  .start-page::before {
    top: -120px;
    left: 50px;
  }
  .start-page::after {
    top: 420px;
    left: -120px;
  }
  .quizz-page::before {
    top: -170px;
    left: 80px;
  }
  .quizz-page::after {
    top: 460px;
    left: -170px;
  }
  .question-block {
    width: 380px;
  }
}

@media screen and (max-width: 430px) {
  .content {
    width: 100vw;
    height: 100vh;
    border: 0;
  }
  .start-page::before {
    display: none;
  }
  .start-page::after {
    display: none;
  }
  .quizz-page::before {
    display: none;
  }
  .quizz-page::after {
    display: none;
  }
  .question-block {
    width: 300px;
    height: fit-content;
  }
  .check-wrap {
    width: 300px;
    flex-direction: column;
    align-items: center;
  }
  .result {
    margin-top: 20px;
  }
}
